Aller au contenu

GET /v1/signature/envelopes/{id}/fields

GET
/v1/signature/envelopes/{id}/fields
curl --request GET \
--url https://api.asap.cool/v1/signature/envelopes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/fields \
--header 'Authorization: Bearer <token>'
id
required
string format: uuid

Envelope identifier.

The envelope’s positioned fields.

Media type application/json
Array<object>

Public projection of a [Field].

object
anchor_kind

Auto-placement source, if any.

string | null
field_type
required

Field kind.

string
height
required

Height fraction (0, 1].

number format: double
id
required

Stable identifier.

string format: uuid
page
required

1-based page index.

integer format: int32
pos_x
required

Left edge fraction [0, 1].

number format: double
pos_y
required

Top edge fraction [0, 1].

number format: double
required
required

Whether the field is required.

boolean
signer_id
required

The signer this field is assigned to.

string format: uuid
value

Optional default/typed value.

width
required

Width fraction (0, 1].

number format: double
Example generated
[
{
"anchor_kind": "example",
"field_type": "example",
"height": 1,
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"page": 1,
"pos_x": 1,
"pos_y": 1,
"required": true,
"signer_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"value": "example",
"width": 1
}
]

No active org.

Media type application/json

Generic error body returned by API handlers when they fail. code is a stable machine-readable token; message is human-friendly and meant for surfacing to end users.

object
code
required

Stable machine token (e.g. invalid_credentials).

string
field

Offending request field for validation errors, when known.

string | null
message
required

Human-readable message.

string
Example generated
{
"code": "example",
"field": "example",
"message": "example"
}

Missing signature:read scope.

Media type application/json

Generic error body returned by API handlers when they fail. code is a stable machine-readable token; message is human-friendly and meant for surfacing to end users.

object
code
required

Stable machine token (e.g. invalid_credentials).

string
field

Offending request field for validation errors, when known.

string | null
message
required

Human-readable message.

string
Example generated
{
"code": "example",
"field": "example",
"message": "example"
}

Not found or cross-org.

Media type application/json

Generic error body returned by API handlers when they fail. code is a stable machine-readable token; message is human-friendly and meant for surfacing to end users.

object
code
required

Stable machine token (e.g. invalid_credentials).

string
field

Offending request field for validation errors, when known.

string | null
message
required

Human-readable message.

string
Example generated
{
"code": "example",
"field": "example",
"message": "example"
}